GrailsContextLoader (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.context
[Java] Class GrailsContextLoader

    java.lang.Object
      org.springframework.web.context.ContextLoader
          org.codehaus.groovy.grails.web.context.GrailsContextLoader

    public class GrailsContextLoader
    extends org.springframework.web.context.ContextLoader

Authors:
  graemerocher

Field Summary
`static org.apache.commons.logging.Log` | `LOG`

Fields inherited from class org.springframework.web.context.ContextLoader
CONTEXT_ID_PARAM, CONFIG_LOCATION_PARAM, CONTEXT_CLASS_PARAM, CONTEXT_INITIALIZER_CLASSES_PARAM, GLOBAL_INITIALIZER_CLASSES_PARAM, LOCATOR_FACTORY_SELECTOR_PARAM, LOCATOR_FACTORY_KEY_PARAM

Method Summary
`void` | `closeWebApplicationContext(javax.servlet.ServletContext servletContext)`
`org.springframework.web.context.WebApplicationContext` | `initWebApplicationContext(javax.servlet.ServletContext servletContext)`

Methods inherited from class org.springframework.web.context.ContextLoader
org.springframework.web.context.ContextLoader#getCurrentWebApplicationContext(), org.springframework.web.context.ContextLoader#initWebApplicationContext(javax.servlet.ServletContext), org.springframework.web.context.ContextLoader#closeWebApplicationContext(javax.servlet.ServletContext), org.springframework.web.context.ContextLoader#wait(long, int), org.springframework.web.context.ContextLoader#wait(long), org.springframework.web.context.ContextLoader#wait(), org.springframework.web.context.ContextLoader#equals(java.lang.Object), org.springframework.web.context.ContextLoader#toString(), org.springframework.web.context.ContextLoader#hashCode(), org.springframework.web.context.ContextLoader#getClass(), org.springframework.web.context.ContextLoader#notify(), org.springframework.web.context.ContextLoader#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### LOG

    public static final org.apache.commons.logging.Log LOG

Method Detail

### closeWebApplicationContext

    @java.lang.Override// clean up in war mode, in run-app these references may be needed again
    public void closeWebApplicationContext(javax.servlet.ServletContext servletContext)

### initWebApplicationContext

    @java.lang.Override
    public org.springframework.web.context.WebApplicationContext initWebApplicationContext(javax.servlet.ServletContext servletContext)

Groovy Documentation